Subject: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 15 Nov 2021 10:29:47 +0000

Hi

I promised to review draft-ietf-rmcat-rtp-cc-feedback-07 

Overall a very well written draft, just a few comments of minor nature, not
sure if they are useful but anyway..

Page 3, 3rd para : Unlike “unpaced” TCP, multimedia traffic is naturally
paced to the frame rate of the media encoder (for instance 50
frames/second), so issues with coalescing that can occur with TCP and very
sparse ACKs, does not occur with multimedia traffic. What instead puts a
limit is how fast the algorithm should react to congestion and how it is
designed.

Section 3.1 para 3 : Non-compound is mentioned but RFC5506 is referenced
later

Section 3.1 equations : I checked the equations and they seem to match. But
when I tried to verify the values in the tables I get different values, a
simple hack in matlab/octave gives

Table 1

n=2;Tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*
Tf*(1+Nnc))/1000

Brtcp =

   56.8000   28.4000   14.2000    7.1000

n=2;Tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*
Tf*(1+Nnc))/1000

Brtcp =

   18.9333    9.4667    4.7333    2.3667

Table 2

n=2;tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*
tf*(1+Nnc))/1000

Brtcp =

   40.8000   20.4000   10.2000    5.1000

n=2;tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*
tf*(1+Nnc))/1000

Brtcp =

   13.6000    6.8000    3.4000    1.7000

Section 3.2 : Here it obviously gets more tricky. What would perhaps have
been more helpful is to present the equation for Brtcp here as well. 

Section 5: See this more as a question, is a security considerations section
needed as this memo does not propose any new feedback format ?

/Ingemar

================================

Ingemar Johansson  M.Sc. 

Master Researcher

Ericsson Research

RESEARCHER

GFTL ER NAP NCM Netw Proto & E2E Perf

Labratoriegränd 11

977 53, Luleå, Sweden

Phone +46-1071 43042

SMS/MMS +46-73 078 3289

[email-masked]

www.ericsson.com <http://www.ericsson.com/> 

A lie can travel half way around the world 

    while the truth is putting on its shoes.

                          Mark Twain

=================================

---

From: Anna Brunström <[email-masked]>
Date: Sat, 20 Nov 2021 23:38:21 +0000

Hi Ingemar,

Thanks for the comments on the draft!

Colin: please consider them as part of the input from the WGLC that was just announced.

BR,
Anna

From: rmcat <[email-masked]> On Behalf Of Ingemar Johansson S
Sent: den 15 november 2021 11:30
To: [email-masked]
Cc: Ingemar Johansson S <[email-masked]>; [email-masked]
Subject: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

Hi

I promised to review draft-ietf-rmcat-rtp-cc-feedback-07
Overall a very well written draft, just a few comments of minor nature, not sure if they are useful but anyway..

Page 3, 3rd para : Unlike "unpaced" TCP, multimedia traffic is naturally paced to the frame rate of the media encoder (for instance 50 frames/second), so issues with coalescing that can occur with TCP and very sparse ACKs, does not occur with multimedia traffic. What instead puts a limit is how fast the algorithm should react to congestion and how it is designed.

Section 3.1 para 3 : Non-compound is mentioned but RFC5506 is referenced later

Section 3.1 equations : I checked the equations and they seem to match. But when I tried to verify the values in the tables I get different values, a simple hack in matlab/octave gives
Table 1
>> n=2;Tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000
Brtcp =
>> n=2;Tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000
Brtcp =

Table 2
>> n=2;tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000
Brtcp =
>> n=2;tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000
Brtcp =

Section 3.2 : Here it obviously gets more tricky. What would perhaps have been more helpful is to present the equation for Brtcp here as well.

Section 5: See this more as a question, is a security considerations section needed as this memo does not propose any new feedback format ?

/Ingemar

Ericsson Research
RESEARCHER
GFTL ER NAP NCM Netw Proto & E2E Perf
Labratoriegränd 11
977 53, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com<http://www.ericsson.com/>

När du skickar e-post till Karlstads universitet behandlar vi dina personuppgifter<https://www.kau.se/gdpr>.
When you send an e-mail to Karlstad University, we will process your personal data<https://www.kau.se/en/gdpr>.